All Projects

ProjectCategoryTask TypePrioritySeveritySummaryStatusProgress  desc
PackagesAnyBug ReportMediumHigh[xf86-video-intel] windows are not rendered correctly i...Requires Testing
100%
Task Description

I’m encountering this bug when using latest Pale Moon (version 2.8.0.1).

https://forum.palemoon.org/viewtopic.php?f=37&t=19941&sid=3cd95f0870b5cef74c582eb9a3ea778a

The bug doesn’t only affect the preferences dialog - other windows are not rendered correctly either such as DownThemAll! add-on (see attached image).

The suggested fix is to update the intel driver (the about:config suggested change makes the preference dialog usable but other windows such as DownThemAll! still aren’t displayed correctly).

I’m using a T60 with intel graphics.

PackagesStableBug ReportMediumMedium[virt-install] ERROR '_OsVariant' object has no attribu...Requires Testing
100%
Task Description

Trying to create a VM using virt-install (1.4.1-2.hyperbola2)

virt-install --connect qemu:///system \
--name debian \
--ram 1024 \
--disk path=/home/test/debian.img,size=50 \
--vcpus 2 \
--os-type linux \
--os-variant generic \
--network bridge=virbr0 \
--graphics none \
--console pty,target_type=serial \
--location 'http://ftp.nl.debian.org/debian/dists/stretch/main/installer-amd64/' \
--extra-args 'console=ttyS0,115200n8 serial'

This error shows up :
ERROR : ‘_OsVariant’ object has no attribute ‘urldistro’

I can’t create the VM.

PS : Error is not present on Debian Stretch with virt-install 1.4.0-5

Thanks for your help.

ServicesPunBB BrandingBug ReportHighHighForum appearance bugsIn Progress
90%
Task Description

Some forum display errors:

  1. preview button with the orange border.
  1. Error message when logging in gray color making it difficult to read
PackagesAnyBackport RequestVery LowLowUblock Origin for IceapeIn Progress
90%
Task Description

The version I desire is this: 1.16.4.6

PackagesAnyPrivacy IssueHighCritical[deepin-desktop-base] Check for CNZZ SpywareIn Progress
60%
Task Description

As per a recent discovery, we should check if our deepin is affected by the CNZZ spyware in the AppStore.
https://www.youtube.com/watch?v=v25Dy66AtNI

We also shouldn’t use the AppStore if it exists, due to non-free apps.

Known files:
> usr/share/dbus-1/system-services/com.deepin.daemon.Apps.service
> etc/appstore.json

PackagesAnyBug ReportMediumMedium[weechat] startup complains about missing guile Researching
60%
Task Description

Bug error:

Error: it was not possible to load the plugin "/usr/lib/weechat/plugins/guile.so": libguile-2.0.so.22: the file of the shared object can not be opened: The file or the directory does not exist

Package information

$ sudo pacman -Si weechat
Repositorio               : community
Nombre                    : weechat
Versión                   : 1.7.1-4
Descripción               : Fast, light and extensible IRC client (curses UI)
Arquitectura              : x86_64
URL                       : http://www.weechat.org/
Licencias                 : GPL
Grupos                    : Nada
Provee                    : Nada
Depende de                : gnutls  curl  libgcrypt
Dependencias opcionales   : perl
                            python2
                            lua
                            tcl
                            ruby
                            aspell
                            guile2.0
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la descarga     : 1916,09 KiB
Tamaño de la instalación  : 17756,00 KiB
Encargado                 : Christian Rebischke <Chris.Rebischke@archlinux.org>
Fecha de creación         : lun 24 abr 2017 10:48:25 -05
Validado por              : Suma MD5  Suma SHA-256  Firma
sudo pacman -Ql weechat
weechat /usr/
weechat /usr/bin/
weechat /usr/bin/weechat
weechat /usr/bin/weechat-curses
weechat /usr/include/
weechat /usr/include/weechat/
weechat /usr/include/weechat/weechat-plugin.h
weechat /usr/lib/
weechat /usr/lib/pkgconfig/
weechat /usr/lib/pkgconfig/weechat.pc
weechat /usr/lib/weechat/
weechat /usr/lib/weechat/plugins/
weechat /usr/lib/weechat/plugins/alias.so
weechat /usr/lib/weechat/plugins/aspell.so
weechat /usr/lib/weechat/plugins/charset.so
weechat /usr/lib/weechat/plugins/exec.so
weechat /usr/lib/weechat/plugins/fifo.so
weechat /usr/lib/weechat/plugins/guile.so
weechat /usr/lib/weechat/plugins/irc.so
weechat /usr/lib/weechat/plugins/logger.so
weechat /usr/lib/weechat/plugins/lua.so
weechat /usr/lib/weechat/plugins/perl.so
weechat /usr/lib/weechat/plugins/python.so
weechat /usr/lib/weechat/plugins/relay.so
weechat /usr/lib/weechat/plugins/ruby.so
weechat /usr/lib/weechat/plugins/script.so
weechat /usr/lib/weechat/plugins/tcl.so
weechat /usr/lib/weechat/plugins/trigger.so
weechat /usr/lib/weechat/plugins/xfer.so
weechat /usr/share/
weechat /usr/share/doc/
weechat /usr/share/doc/weechat/
weechat /usr/share/doc/weechat/weechat_dev.en.html
weechat /usr/share/doc/weechat/weechat_dev.fr.html
weechat /usr/share/doc/weechat/weechat_dev.ja.html
weechat /usr/share/doc/weechat/weechat_faq.de.html
weechat /usr/share/doc/weechat/weechat_faq.en.html
weechat /usr/share/doc/weechat/weechat_faq.fr.html
weechat /usr/share/doc/weechat/weechat_faq.it.html
weechat /usr/share/doc/weechat/weechat_faq.ja.html
weechat /usr/share/doc/weechat/weechat_faq.pl.html
weechat /usr/share/doc/weechat/weechat_plugin_api.en.html
weechat /usr/share/doc/weechat/weechat_plugin_api.fr.html
weechat /usr/share/doc/weechat/weechat_plugin_api.it.html
weechat /usr/share/doc/weechat/weechat_plugin_api.ja.html
weechat /usr/share/doc/weechat/weechat_quickstart.cs.html
weechat /usr/share/doc/weechat/weechat_quickstart.de.html
weechat /usr/share/doc/weechat/weechat_quickstart.en.html
weechat /usr/share/doc/weechat/weechat_quickstart.es.html
weechat /usr/share/doc/weechat/weechat_quickstart.fr.html
weechat /usr/share/doc/weechat/weechat_quickstart.it.html
weechat /usr/share/doc/weechat/weechat_quickstart.ja.html
weechat /usr/share/doc/weechat/weechat_quickstart.pl.html
weechat /usr/share/doc/weechat/weechat_quickstart.ru.html
weechat /usr/share/doc/weechat/weechat_relay_protocol.en.html
weechat /usr/share/doc/weechat/weechat_relay_protocol.fr.html
weechat /usr/share/doc/weechat/weechat_relay_protocol.ja.html
weechat /usr/share/doc/weechat/weechat_scripting.de.html
weechat /usr/share/doc/weechat/weechat_scripting.en.html
weechat /usr/share/doc/weechat/weechat_scripting.fr.html
weechat /usr/share/doc/weechat/weechat_scripting.it.html
weechat /usr/share/doc/weechat/weechat_scripting.ja.html
weechat /usr/share/doc/weechat/weechat_scripting.pl.html
weechat /usr/share/doc/weechat/weechat_tester.de.html
weechat /usr/share/doc/weechat/weechat_tester.en.html
weechat /usr/share/doc/weechat/weechat_tester.fr.html
weechat /usr/share/doc/weechat/weechat_tester.it.html
weechat /usr/share/doc/weechat/weechat_tester.ja.html
weechat /usr/share/doc/weechat/weechat_tester.pl.html
weechat /usr/share/doc/weechat/weechat_user.de.html
weechat /usr/share/doc/weechat/weechat_user.en.html
weechat /usr/share/doc/weechat/weechat_user.fr.html
weechat /usr/share/doc/weechat/weechat_user.it.html
weechat /usr/share/doc/weechat/weechat_user.ja.html
weechat /usr/share/doc/weechat/weechat_user.pl.html
weechat /usr/share/icons/
weechat /usr/share/icons/hicolor/
weechat /usr/share/icons/hicolor/32x32/
weechat /usr/share/icons/hicolor/32x32/apps/
weechat /usr/share/icons/hicolor/32x32/apps/weechat.png
weechat /usr/share/locale/
weechat /usr/share/locale/cs/
weechat /usr/share/locale/cs/LC_MESSAGES/
weechat /usr/share/locale/cs/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/de/
weechat /usr/share/locale/de/LC_MESSAGES/
weechat /usr/share/locale/de/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/es/
weechat /usr/share/locale/es/LC_MESSAGES/
weechat /usr/share/locale/es/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/fr/
weechat /usr/share/locale/fr/LC_MESSAGES/
weechat /usr/share/locale/fr/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/hu/
weechat /usr/share/locale/hu/LC_MESSAGES/
weechat /usr/share/locale/hu/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/it/
weechat /usr/share/locale/it/LC_MESSAGES/
weechat /usr/share/locale/it/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/ja/
weechat /usr/share/locale/ja/LC_MESSAGES/
weechat /usr/share/locale/ja/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/pl/
weechat /usr/share/locale/pl/LC_MESSAGES/
weechat /usr/share/locale/pl/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/pt/
weechat /usr/share/locale/pt/LC_MESSAGES/
weechat /usr/share/locale/pt/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/pt_BR/
weechat /usr/share/locale/pt_BR/LC_MESSAGES/
weechat /usr/share/locale/pt_BR/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/ru/
weechat /usr/share/locale/ru/LC_MESSAGES/
weechat /usr/share/locale/ru/LC_MESSAGES/weechat.mo
weechat /usr/share/locale/tr/
weechat /usr/share/locale/tr/LC_MESSAGES/
weechat /usr/share/locale/tr/LC_MESSAGES/weechat.mo
weechat /usr/share/man/
weechat /usr/share/man/cs/
weechat /usr/share/man/cs/man1/
weechat /usr/share/man/cs/man1/weechat.1.gz
weechat /usr/share/man/de/
weechat /usr/share/man/de/man1/
weechat /usr/share/man/de/man1/weechat.1.gz
weechat /usr/share/man/fr/
weechat /usr/share/man/fr/man1/
weechat /usr/share/man/fr/man1/weechat.1.gz
weechat /usr/share/man/it/
weechat /usr/share/man/it/man1/
weechat /usr/share/man/it/man1/weechat.1.gz
weechat /usr/share/man/ja/
weechat /usr/share/man/ja/man1/
weechat /usr/share/man/ja/man1/weechat.1.gz
weechat /usr/share/man/man1/
weechat /usr/share/man/man1/weechat.1.gz
weechat /usr/share/man/pl/
weechat /usr/share/man/pl/man1/
weechat /usr/share/man/pl/man1/weechat.1.gz
weechat /usr/share/man/ru/
weechat /usr/share/man/ru/man1/
weechat /usr/share/man/ru/man1/weechat.1.gz

References:

PackagesAnyFreedom IssueVery HighCritical[man-pages] contains nonfree POSIX manual pagesIn Progress
50%
Task Description

Description:

  • Arch distributes a version of man-pages with manual pages from the POSIX standard. The man-pages project is permitted to distribute them and Andries Brouwer assumes that re-distribution by vendors is permitted as well. However, modification is definitively not allowed, hence this contribution by The Institute of Electrical and Electronics Engineers and The Open Group render the entire man-pages package nonfree. The way to solve it is remove all nonfree POSIX manual pages from man-pages package.

Additional info:
* package version(s)

  • 4.11-1

* config and/or log files etc.

  • License file (POSIX-COPYRIGHT):
The Institute of Electrical and Electronics Engineers (IEEE) and
The Open Group, have given us permission to reprint portions of
their documentation.

In the following statement, the phrase ``this text'' refers to
portions of the system documentation.

Portions of this text are reprinted and reproduced in electronic form
from IEEE Std 1003.1, 2013 Edition, Standard for Information Technology
-- Portable Operating System Interface (POSIX), The Open Group Base
Specifications Issue 7, Copyright (C) 2013 by the Institute of Electri-
cal and Electronics Engineers, Inc and The Open Group.  (This is
POSIX.1-2008 with the 2013 Technical Corrigendum 1 applied.) In the
event of any discrepancy between this version and the original IEEE and
The Open Group Standard, the original IEEE and The Open Group Standard
is the referee document.  The original Standard can be obtained online
at http://www.unix.org/online.html .

This notice shall appear on any product containing this material.

Redistribution of this material is permitted so long as this notice and
the corresponding notices within each POSIX manual page are retained on
any distribution, and the nroff source is included. Modifications to
the text are permitted so long as any conflicts with the standard
are clearly marked as such in the text.

Steps to reproduce:

  • See license in /usr/share/licenses/man-pages/POSIX-COPYRIGHT
PackagesAnyBug ReportDeferHigh[texlive-most] cannot export LaTeX - input csr10' fail...Deferred
50%
Task Description

I was using GNU Emacs, and tried to export LaTeX file or make a PDF. It seems that texlive package is broken, some fonts are missing.

The group named texlive-most cannot be properly installed.

admin→ pacsearch texlive

extra/texlive-bibtexextra 2016.43765-1 (texlive-most)
    TeX Live - Additional BibTeX styles and bibliography databases
extra/texlive-bin 2016.41290-12.hyperbola1 [installed]
    TeX Live binaries (Hyperbola rebranded)
extra/texlive-core 2016.43757-1.hyperbola2 (texlive-most) [installed]
    TeX Live core distribution, without nonfree add-on packages (Hyperbola rebranded)
extra/texlive-fontsextra 2016.43763-1.hyperbola2 (texlive-most) [installed]
    TeX Live - all sorts of extra fonts, without nonfree add-on packages
extra/texlive-formatsextra 2016.41438-3 (texlive-most) [installed]
    TeX Live - collection of extra TeX 'formats'
extra/texlive-games 2016.43415-1 (texlive-most)
    TeX Live - Setups for typesetting various board games, including chess
extra/texlive-genericextra 2016.43605-1 (texlive-most) [installed]
    TeX Live - mixed bag of generic macro packages and fonts
extra/texlive-htmlxml 2016.43769-1 (texlive-most)
    TeX Live - Packages to convert LaTeX to XML/HTML, and typeset XML/SGML
extra/texlive-humanities 2016.43711-1 (texlive-most)
    TeX Live - LaTeX packages for law, linguistics, social sciences, and humanities
extra/texlive-langchinese 2016.43669-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Chinese texts
extra/texlive-langcjk 2014.0-1
    TeX Live - CJK (Chinese, Japanese, Korean) metapackage
extra/texlive-langcyrillic 2016.43417-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Cyrillic texts
extra/texlive-langextra 2016.43739-1 (texlive-lang)
    TeX Live - Bundle of all extra language support
extra/texlive-langgreek 2016.43222-1 (texlive-lang)
    TeX Live - Fonts and support for typesetting Greek
extra/texlive-langjapanese 2016.43741-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Japanese texts
extra/texlive-langkorean 2016.43130-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Korean texts
extra/texlive-latexextra 2016.43768-1.hyperbola2 (texlive-most) [installed]
    TeX Live - Large collection of add-on packages for LaTeX, without nonfree add-on packages
extra/texlive-music 2016.43375-1 (texlive-most)
    TeX Live - Music typesetting packages
extra/texlive-pictures 2016.43767-1 (texlive-most) [installed]
    TeX Live - Packages for drawings graphics
extra/texlive-plainextra 2016.43137-1 (texlive-most) [installed]
    TeX Live - A collection of add-on packages and macros for plain TeX
extra/texlive-pstricks 2016.43710-1 (texlive-most) [installed]
    TeX Live - Additional PSTricks packages
extra/texlive-publishers 2016.43764-1 (texlive-most)
    TeX Live - LaTeX classes and packages for specific publishers
extra/texlive-science 2016.43747-1 (texlive-most)
    TeX Live - Typesetting for mathematics, natural and computer sciences

[~]
admin→ sudo pacman -S texlive-most

:: There are 15 members in group texlive-most:
:: Repository extra
   1) texlive-bibtexextra  2) texlive-core  3) texlive-fontsextra  4) texlive-formatsextra  5) texlive-games  6) texlive-genericextra
   7) texlive-htmlxml  8) texlive-humanities  9) texlive-latexextra  10) texlive-music  11) texlive-pictures  12) texlive-plainextra
   13) texlive-pstricks  14) texlive-publishers  15) texlive-science

Enter a selection (default=all):
warning: texlive-core-2016.43757-1.hyperbola2 is up to date -- reinstalling
warning: texlive-fontsextra-2016.43763-1.hyperbola2 is up to date -- reinstalling
warning: texlive-formatsextra-2016.41438-3 is up to date -- reinstalling
warning: texlive-genericextra-2016.43605-1 is up to date -- reinstalling
warning: texlive-latexextra-2016.43768-1.hyperbola2 is up to date -- reinstalling
warning: texlive-pictures-2016.43767-1 is up to date -- reinstalling
warning: texlive-plainextra-2016.43137-1 is up to date -- reinstalling
warning: texlive-pstricks-2016.43710-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (15) texlive-bibtexextra-2016.43765-1  texlive-core-2016.43757-1.hyperbola2  texlive-fontsextra-2016.43763-1.hyperbola2
              texlive-formatsextra-2016.41438-3  texlive-games-2016.43415-1  texlive-genericextra-2016.43605-1
              texlive-htmlxml-2016.43769-1  texlive-humanities-2016.43711-1  texlive-latexextra-2016.43768-1.hyperbola2
              texlive-music-2016.43375-1  texlive-pictures-2016.43767-1  texlive-plainextra-2016.43137-1  texlive-pstricks-2016.43710-1
              texlive-publishers-2016.43764-1  texlive-science-2016.43747-1

Total Download Size:     27.66 MiB
Total Installed Size:  1300.90 MiB
Net Upgrade Size:       110.88 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 texlive-bibtexextra-2016.43765-1-any                   1541.4 KiB   275K/s 00:06 [###############################################] 100%
 texlive-games-2016.43415-1-any                          416.5 KiB   356K/s 00:01 [###############################################] 100%
 texlive-htmlxml-2016.43769-1-any                       1197.6 KiB   300K/s 00:04 [###############################################] 100%
 texlive-humanities-2016.43711-1-any                     299.0 KiB   664K/s 00:00 [###############################################] 100%
 texlive-music-2016.43375-1-any                           12.2 MiB   398K/s 00:31 [###############################################] 100%
 texlive-publishers-2016.43764-1-any                       9.2 MiB   471K/s 00:20 [###############################################] 100%
 texlive-science-2016.43747-1-any                          2.9 MiB   376K/s 00:08 [###############################################] 100%
(15/15) checking keys in keyring                                                  [###############################################] 100%
(15/15) checking package integrity                                                [###############################################] 100%
(15/15) loading package files                                                     [###############################################] 100%
(15/15) checking for file conflicts                                               [###############################################] 100%
(15/15) checking available disk space                                             [###############################################] 100%
:: Processing package changes...
( 1/15) reinstalling texlive-core                                                 [###############################################] 100%
>>> updmap custom entries should go into /etc/texmf/web2c/updmap-local.cfg
>>> fmtutil custom entries should go into /etc/texmf/web2c/fmtutil-local.cnf
( 2/15) installing texlive-bibtexextra                                            [###############################################] 100%
( 3/15) reinstalling texlive-fontsextra                                           [###############################################] 100%
( 4/15) reinstalling texlive-formatsextra                                         [###############################################] 100%
( 5/15) installing texlive-games                                                  [###############################################] 100%
( 6/15) reinstalling texlive-genericextra                                         [###############################################] 100%
( 7/15) installing texlive-htmlxml                                                [###############################################] 100%
( 8/15) reinstalling texlive-latexextra                                           [###############################################] 100%
( 9/15) installing texlive-humanities                                             [###############################################] 100%
Optional dependencies for texlive-humanities
    texlive-pictures: for package qtree [installed]
(10/15) installing texlive-music                                                  [###############################################] 100%
Optional dependencies for texlive-music
    python2: for scripts from the lilyglyphs packages [installed]
(11/15) reinstalling texlive-pictures                                             [###############################################] 100%
(12/15) reinstalling texlive-plainextra                                           [###############################################] 100%
(13/15) reinstalling texlive-pstricks                                             [###############################################] 100%
(14/15) installing texlive-publishers                                             [###############################################] 100%
(15/15) installing texlive-science                                                [###############################################] 100%
Optional dependencies for texlive-science
    python2-pygments: for pygmentex
:: Running post-transaction hooks...
(1/3) Updating TeXLive filename database...
(2/3) Updating TeXLive format files...

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.
fmtutil [ERROR]: running `pdftex -ini   -jobname=utf8mex -progname=utf8mex -enc *utf8mex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [WARNING]: inifile pdfmex.ini for pdfmex/pdftex not found.
fmtutil [ERROR]: running `pdftex -ini   -jobname=csplain -progname=csplain -etex -enc csplain-utf8.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=pdfjadetex -progname=pdfjadetex *pdfjadetex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=jadetex -progname=jadetex *jadetex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [WARNING]: inifile mex.ini for mex/pdftex not found.
fmtutil [ERROR]: running `xetex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex -enc csplain-utf8.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `luatex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
error: command failed to execute correctly
(3/3) Updating TeXLive font maps...
[~]
a
PackagesAnySecurity IssueMediumMedium[cinepaint] unmaintained and unsupportableIn Progress
50%
Task Description

Remove “cinepaint” package since it’s unmaintained and unsupportable. Also, it doesn’t contains any file format support in the latest version (previous version supported multiple file formats).

I suggest use Krita (or Gimp 2.10) to edit 16bit and 32bit file formats or convert with imagemagick/graphicsmagick.

$ pacman -Si cinepaint
Repository      : community
Name            : cinepaint
Version         : 1:1.0.4-5
Description     : Sophisticated graphics manipulation programm supporting > 8bit pictures
Architecture    : x86_64
URL             : http://www.cinepaint.org
Licenses        : LGPL  GPL  MIT
Groups          : None
Provides        : None
Depends On      : gtk2  openexr  lcms  libxpm  fltk  ftgl  libxxf86vm
Optional Deps   : python2: for python plug-ins
                  gutenprint: for print plug-ins
                  ghostscript: for pdf plug-ins
Conflicts With  : None
Replaces        : None
Download Size   : 3.75 MiB
Installed Size  : 13.91 MiB
Packager        : Christian Hesse <arch@eworm.de>
Build Date      : Thu 28 Apr 2016 05:17:05 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
ServicesFlyspray BrandingImplementation RequestMediumMediumAdd Hyperbola branding to HyperTaskIn Progress
40%
Task Description

Add Hyperbola branding to HyperTask such as HyperWiki and HyperForum for prolixity reasons.

PackagesAnyFeature RequestVery HighHigh[timidity++] contains systemd unit fileIn Progress
30%
Task Description

Description:

  • The Arch version of TiMidity++ from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : extra
Name            : timidity++
Version         : 2.14.0-7
Description     : A MIDI to WAVE converter and player
Architecture    : x86_64
URL             : http://timidity.sourceforge.net
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : libao  jack
Optional Deps   : gtk2: for using the GTK+ interface
                  tk: for using the Tk interface
                  xaw3d: for using the Xaw interface
Conflicts With  : None
Replaces        : None
Download Size   : 530.60 KiB
Installed Size  : 1431.00 KiB
Packager        : Evangelos Foutras <evangelos@foutrelis.com>
Build Date      : Thu 10 Sep 2015 12:55:38 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/timidity.service is owned by timidity++ 2.14.0-7

Steps to reproduce:

  • Install package.
PackagesAnyFeature RequestVery HighHigh[sage-notebook] contains systemd unit fileIn Progress
30%
Task Description

Description:

  • The Arch version of Sage-notebook from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required. OpenRC init script replacement isn’t possible here because Sage-notebook is using a systemd unit file adapted for users instead of system users.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : sage-notebook
Version         : 0.13-4
Description     : Browser-based notebook interface for SageMath
Architecture    : any
URL             : http://www.sagemath.org
Licenses        : GPL3
Groups          : None
Provides        : None
Depends On      : sagemath  python2-twisted  python2-flask-oldsessions  python2-flask-openid  python2-flask-autoindex  python2-flask-babel  mathjax
Optional Deps   : python2-pyopenssl: to use the notebook in secure mode
Conflicts With  : None
Replaces        : None
Download Size   : 1625.00 KiB
Installed Size  : 9154.00 KiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Thu 04 May 2017 06:12:28 PM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/user/sage.service is owned by sage-notebook 0.13-4

Steps to reproduce:

  • Install package.
Software DevelopmentHyperBKImplementation RequestVery HighCriticalDevelop HyperBK based on OpenBSD kernel + LibertyBSD sc...Deferred
0%
Task Description

Develop HyperBK (Hyper Berkeley Kernel) based on OpenBSD‘s kernel LibertyBSD‘s scripts to deblob and rebrand kernel for HyperbolaBSD.

TODO:

  • Download LibertyBSD scripts to deblob and rebrand kernel from their scripts.
  • Push source to HyperBK’s project.
  • Rebrand OpenBSD kernel to HyperBK with LibertyBSD scripts.
  • Package HyperBK for HyperbolaBSD.

PATCHING NOTE

When the check concerns kernel, we obviously want to match with HyperBK.

Example of triplet check:	hyperbolabsd)
Example of uname -s check:	HyperbolaBSD)
Example of uname -r check:	1.0)
Example of C macro check:	defined(__HyperbolaBSD__)
PackagesAnySecurity IssueVery HighCritical[openssh] CVE-2018-15919Researching
0%
Task Description

Remotely observable behavior in auth-gss2.c in OpenSSH through 7.8 could be used by remote attackers to detect existence of users on a target system when GSS2 is in use. NOTE: the discoverer states ‘We understand that the OpenSSH developers do not want to treat such a username enumeration (or “oracle”) as a vulnerability.’ https://security-tracker.debian.org/tracker/CVE-2018-15919

PackagesAnyReplace RequestDeferCritical[bzr] replace deprecated GNU Bazaar to BrezyDeferred
0%
Task Description

Description:

  • replace deprecated GNU Bazaar to Brezy for Canis Major

Additional info:

Note: It needs a provide: bazaar and brezy

Steps to reproduce:

  • broken package
PackagesAnyReplace RequestDeferCritical[python2] replace deprecated Python 2 to TauthonDeferred
0%
Task Description

Description:

  • replace deprecated Python 2 to Tauthon for Canis Major

Additional info:

Steps to reproduce:

  • Broken python2 packages.
PackagesAnySecurity IssueVery LowCritical[octopi] requires suUnconfirmed
0%
Task Description

would it be possible to make it use sudo instead?

From what I know, sudo is safer. Let me know if you agree this is a problem.

PackagesAnySecurity IssueHighCritical[octopi] uploads system logs to ptpb.pw without confirm...In Progress
0%
Task Description

Octopi 0.9.0 is uploading system logs to ptpb.pw without confirmation through :

Tools
→ SysInfo → ptpb.pw

I think it should be either disabled or add at least a patch to ask for a confirmation.
An other way could be to patch this :

src/globals.cpp
240: * Generates SysInfo file and paste it to ptpb site
255:  QString ptpb = UnixCommand::getCommandOutput("curl -F c=@- https://ptpb.pw/?u=1", tempFile->fileName());
256:  return ptpb;

to :

src/globals.cpp
240: * Generates SysInfo file and paste it to ptpb site
255:  QString ptpb = UnixCommand::getCommandOutput("curl -F c=@- **https://ptpb.pw/", tempFile->fileName());
256:  return ptpb;

This way, you can at least ask for log deletion with the help of log uuid as explained here : https://ptpb.pw/#id10

PackagesAnySecurity IssueVery HighCritical[libssh] CVE-2018-10933Researching
0%
Task Description

Description:
libssh versions 0.6 and above have an authentication bypass vulnerability in
the server code. By presenting the server an SSH2_MSG_USERAUTH_SUCCESS message
in place of the SSH2_MSG_USERAUTH_REQUEST message which the server would expect
to initiate authentication, the attacker could successfully authentciate
without any credentials.

Additional info:
* package version(s) : extra/libssh 0.7.5-1

CVE

PackagesAnyDrop RequestVery HighCritical[gksu] is replaced and has to be deleted from our pacma...Assigned
0%
Task Description

Description:
From the author’s webpage gksu has been replaced.

Additional info:
* package version(s) : extra/gksu 2.0.2-5

http://www.nongnu.org/gksu/

PackagesStableBug ReportVery LowCritical[python2-reportlab] python2-pip dependencyAssigned
0%
Task Description

Since python-pip and python2-pip have been removed, I can’t install python2-reportlab because python2-pip is a dependency of this package.
.

Software DevelopmentGeneralImplementation RequestVery HighCriticalPOWER (ppc64le) portingDeferred
0%
Task Description

The unfortunate reality is that x86 computers come encumbered with built-in low-level backdoors like the Intel Management Engine , as well as nonfree boot firmware. This means that users can’t gain full control over their computers, even if they install a free operating system such as Hyperbola GNU/Linux-libre .

Hyperbola is working hard to fix these issues and getting closer every day, but for the time being, this is why many current Respects Your Freedom (RYF) offerings are refurbished older devices.

For the future of free computing, we need support architectures that do not come with such malware pre-installed, and the Power9-based Talos II promises to be a great architecture example for workstations and servers environments where Hyperbola is focused since is a fully free long-term support distribution.

Devices like this are the future of computing that Respects Your Freedom and for that reason it’s a high priority for Hyperbola port all packages for the POWER architecture (power64le).

NOTE: POWER porting is focused only for Hyperbola GNU/Linux-libre .

Software DevelopmentGeneralImplementation RequestVery HighCriticalARM (aarch and armv7h) portingDeferred
0%
Task Description

The unfortunate reality is that x86 computers come encumbered with built-in low-level backdoors like the Intel Management Engine , as well as nonfree boot firmware. This means that users can’t gain full control over their computers, even if they install a free operating system such as Hyperbola GNU/Linux-libre .

Hyperbola is working hard to fix these issues and getting closer every day, but for the time being, this is why many current Respects Your Freedom (RYF) offerings are refurbished older devices.

For the future of free computing, we need support architectures that do not come with such malware pre-installed, and ARM A7/A53 promises to be a great architecture example for low-power computers, laptops and embedded systems.

NOTE: ARM porting is focused only for HyperbolaBSD .

Software DevelopmentGeneralImplementation RequestDeferCriticalRISC-V (riscv64) porting + multilib supportDeferred
0%
Task Description

The unfortunate reality is that x86 computers come encumbered with built-in low-level backdoors like the Intel Management Engine , as well as nonfree boot firmware. This means that users can’t gain full control over their computers, even if they install a free operating system such as Hyperbola GNU/Linux-libre .

Hyperbola is working hard to fix these issues and getting closer every day, but for the time being, this is why many current Respects Your Freedom (RYF) offerings are refurbished older devices.

For the future of free computing, we need support architectures that do not come with such malware pre-installed, and RISC-V promises to be a great architecture example for low-power computers, laptops and embedded systems, also as ARM architecture replacement.

Devices like this are the future of computing that Respects Your Freedom and for that reason it’s a high priority for Hyperbola port all packages for the RISC-V architecture (riscv64) with multilib support.

NOTE: RISC-V porting is focused only for Hyperbola GNU/Linux-libre .

PackagesStableImplementation RequestVery LowCritical[strongswan] add new packageUnconfirmed
0%
Task Description

Description:

Package strongSwan is missing. Can it please be added to relevant repository? The package’s presence is critical for using IKEv2 in VPN.

Additional info:

* Source: Please see added link

Steps to reproduce:

N/A

PackagesAnyBug ReportVery LowCritical[xfce4-power-manager] locking session issueDeferred
0%
Task Description

I probably should’ve mentioned this before, but if it is set to suspend when lid is closed, it should automatically lock. if the security option: lock screen with system is set to sleep is tweaked on it doesn’t lock always.

This is word for word what I wrote in the forums, but yeah... it is a problem say if someone wants to use your laptop without your permission and can do so.

But it is also a problem if you set it to lock instead because it is more prone to overheating when your not using it, and it doesn’t suspend quickly enough.

I have tried this many times and the same story can be told, again and again.

I think this issue should be considered high or critical merely because of the privacy risk if someone gets their hands on your laptop while its on. Even if you have been away... :/

I wonder if anyone else has this issue... well you guys will tell me I am sure. if critical doesn’t match what you think I am sure you will change it. ;)

PackagesAnySecurity IssueVery LowCritical[dokuwiki] CVEsUnconfirmed
0%
Task Description

Our current dokuwiki 20170219_b-1 has two serious CVE.

Error message attached after the first installation

PackagesAnySecurity IssueVery LowCritical[tcpreplay] CVEsUnconfirmed
0%
Task Description

A huge number of CVEs have been fixed on 4.3.1 :

CVE-2018-20552
CVE-2018-20553
CVE-2018-18408
CVE-2018-18407
CVE-2018-17974
CVE-2018-17580
CVE-2018-17582
CVE-2018-13112

Current Hyperbola version is 4.2.6

PackagesStableBug ReportVery LowCritical [kodi] "The Movie Database" scraper doesn't workUnconfirmed
0%
Task Description

With kodi 17.1-2.hyperbola1 “The Movie Database” scraper doesn’t work. The error message is :

"Unable to connect to remote server"
PackagesStableUpdate RequestHighHigh[qt5] upgrade Qt project to the 5.6 LTS version, requir...Deferred
0%
Task Description

Cannot mix incompatible Qt library (version 0×50800) with this library (version 0×50904)
Aborted

./Nextcloud-2.3.3-x86_64.AppImage: /usr/lib/libQt5Core.so.5: version `Qt_5.9’ not found (required by /tmp/.mount_NextclpprMnG/usr/bin/../lib/libqt5keychain.so.1

These two packages are directly affected by an older qt5...

Could you update all the qt packages to the LTS version available?

PackagesAnyUpdate RequestMediumHighMake Knock patch for Linux-libre 4.14 LTSUnconfirmed
0%
Task Description

The Knock patches for linux-libre maintained by you at https://git.hyperbola.info:50100/kernels/knock.git/ have support up to linux-libre 4.13 only (and I think it didn’t work for it when I tried it, compilation failed) but from all of those supported versions, the newest maintained generation by the upstream is 4.9.x

However, since newer kernel generations might require reprogramming the patch, I want to request it only for the latest LTS generation which is 4.14. As you know, LTS software are supported for a long time, so it’s worth to make it for linux-libre 4.14.x

This might not be really important for Hyperbola in the short term, but you are the maintainers of the TCP Stealth implementation for Linux-libre and I and maybe other people would like to use it in their projects for newer versions.

Plus, it would be great since while 4.9 kernels can use the GRSec+Knock combination like linux-libre-lts-unofficial-grsec-knock, with support for 4.14 anyone would be able to use a combination of newer patches such as Linux-hardened+Knock (Linux-hardened supports 4.14 and 4.15 as of now) which is what I’d like to do.
https://github.com/copperhead/linux-hardened/releases

PackagesAnyBug ReportMediumHigh[postgresql] creating directory Permission deniedUnconfirmed
0%
Task Description

In the File postgresql.install

the output is:

    ==> requires datadir /var/lib/data
    ==> run as user postgres: 'initdb -D /var/lib/data'

when it should be:

    ==> requires datadir /var/lib/postgres/data
    ==> run as user postgres: 'initdb -D /var/lib/postgres/data'

It may be necessary to change:

local datadir = "/var/lib/data"

to

local datadir = "/var/lib/postgres/data"

The comand for default fails:

creating directory /var/lib/data... initdb: could not create directory "/var/lib/data": Permission denied
PackagesAnyBug ReportVery LowHighDesite "noauto" specified in /etc/fstab all devices get...Unconfirmed
0%
Task Description

Description:

I have tried all combinations, but despite “noauto” specified in /etc/fstab all devices get mounted at boot.

Who can help me, not to mount a device during boot?

PackagesAnyImplementation RequestVery LowHigh[glom]: should depend on libgdaUnconfirmed
0%
Task Description

Description:

glom cannot run without libgda, so it should depend on libgda package

PackagesAnyFeature RequestVery HighHigh[erlang-nox] contains systemd unit filesIn Progress
0%
Task Description

Description:

  • The Arch version of Erlang (headless version) from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : erlang-nox
Version         : 19.3-3
Description     : General-purpose concurrent functional programming language developed by Ericsson (headless version)
Architecture    : x86_64
URL             : http://www.erlang.org/
Licenses        : Apache
Groups          : None
Provides        : None
Depends On      : ncurses  openssl
Optional Deps   : erlang-unixodbc: database support
                  java-environment: for Java support
                  lksctp-tools: for SCTP support
Conflicts With  : erlang
Replaces        : None
Download Size   : 39.01 MiB
Installed Size  : 106.73 MiB
Packager        : Jan de Groot <jgc@archlinux.org>
Build Date      : Fri 28 Apr 2017 08:44:33 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/epmd.service is owned by erlang-nox 19.3-3
/usr/lib/systemd/system/epmd.socket is owned by erlang-nox 19.3-3

Steps to reproduce:

  • Install package.
PackagesAnyFeature RequestVery HighHigh[motion] contains systemd unit fileIn Progress
0%
Task Description

Description:

  • The Arch version of Motion from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : motion
Version         : 4.0.1-2
Description     : A software motion detector which grabs images from video4linux devices and/or from webcams
Architecture    : x86_64
URL             : http://www.lavrsen.dk/foswiki/bin/view/Motion/WebHome
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : libjpeg  v4l-utils  ffmpeg
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 235.61 KiB
Installed Size  : 923.00 KiB
Packager        : Sergej Pupykin <pupykin.s+arch@gmail.com>
Build Date      : Mon 14 Nov 2016 02:17:55 PM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/motion.service is owned by motion 4.0.1-2

Steps to reproduce:

  • Install package.
PackagesAnyFeature RequestVery HighHigh[tinc] contains systemd unit filesIn Progress
0%
Task Description

Description:

  • The Arch version of tinc from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : tinc
Version         : 1.0.31-2
Description     : VPN (Virtual Private Network) daemon
Architecture    : x86_64
URL             : http://www.tinc-vpn.org/
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : lzo  openssl  zlib
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 107.42 KiB
Installed Size  : 194.00 KiB
Packager        : Evangelos Foutras <evangelos@foutrelis.com>
Build Date      : Mon 13 Mar 2017 01:06:11 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/tinc.service is owned by tinc 1.0.31-2
/usr/lib/systemd/system/tinc@.service is owned by tinc 1.0.31-2

Steps to reproduce:

  • Install package.
PackagesStableBug ReportVery LowHigh[lm_sensors] Fail to load it87 module at bootUnconfirmed
0%
Task Description

Description:

I ran sensors-detect, it detected two modules :

coretemp
it87

Those have been added to /etc/sysconfig/lm_sensors :

# This file is sourced by /etc/init.d/lm_sensors and defines the modules to
# be loaded/unloaded.
#
# The format of this file is a shell script that simply defines variables:
# HWMON_MODULES for hardware monitoring driver modules, and optionally
# BUS_MODULES for any required bus driver module (for example for I2C or SPI).

HWMON_MODULES="coretemp it87"

But only coretemp is loaded at boot.

I can manually load it87 module (modprobe it87) and get all sensors working but for some reason it87 module is not loaded at boot.

PackagesStableBug ReportVery LowHighjava cacerts file is emptyUnconfirmed
0%
Task Description

/etc/ssl/certs/java/cacerts has 0 entries, resulting in ssl handshake errors in java applications.

Package versions:
* ca-certificates 20170307-1
* ca-certificates-utils 20170307-1

ServicesWiki Page IssueBug ReportVery LowHighHTML design on Wiki not readableUnconfirmed
0%
Task Description

The wiki pages look really too narrow and not readable on even half a screen of the laptop.

PackagesAnyFeature RequestVery HighHigh[netdata] contains systemd unit files In Progress
0%
Task Description

Description:

The Arch version of tinc from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repositorio               : community
Nombre                    : netdata
Versión                   : 1.6.0-3
Descripción               : Real-time performance monitoring, in the greatest possible detail, over the web.
Arquitectura              : x86_64
URL                       : https://github.com/firehol/netdata/wiki
Licencias                 : GPL
Grupos                    : Nada
Provee                    : Nada
Depende de                : libmnl  libnetfilter_acct  zlib
Dependencias opcionales   : nodejs: Webbox plugin
                            lm_sensors: sensors module
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la descarga     : 1778,98 KiB
Tamaño de la instalación  : 6515,00 KiB
Encargado                 : Sven-Hendrik Haase <sh@lutzhaase.com>
Fecha de creación         : dom 23 abr 2017 16:24:38 -05
Validado por              : Suma MD5  Suma SHA-256  Firma
community/netdata	/usr/lib/systemd/
community/netdata	/usr/lib/systemd/system/
community/netdata	/usr/lib/systemd/system/netdata.service

Steps to reproduce:

  • Install package
PackagesAnyFeature RequestVery HighHigh[backuppc]: contains systemd filesResearching
0%
Task Description

Description:

Since Hyperbola follows the Init Freedom Campaign, systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)

community/backuppc 4.1.2-1 [installed]

   Enterprise-grade system for backing up Linux, Windows and MacOS PCs

* config and/or log files etc.

Additional info:

Steps to reproduce: install it

PackagesAnyFeature RequestVery HighHigh[gpsd]: contains systemd filesResearching
0%
Task Description

Since Hyperbola follows the Init Freedom Campaign, systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)

extra/gpsd 3.16-3 [installed]

   GPS daemon and library to support USB/serial GPS devices

* config and/or log files etc.

Additional info:

Steps to reproduce: install it

PackagesAnyUpdate RequestVery LowHighufw update/ufw bugUnconfirmed
0%
Task Description

There appears to be a bug with the current version of ufw, 0.35-2

Dunno if updating it would fix it, but it is kind of annoying and possibly security issue.

it says ufw is inactive when I reboot despite it being installed in the runlevel.

PackagesAnyImplementation RequestVery LowHigh[epson-inkjet-printer-escpr] add packageUnconfirmed
0%
Task Description

Hello,

Could it be possible to add :

epson-inkjet-printer-escpr

“Epson Inkjet Printer Driver (ESC/P-R) for Linux”

License : GPL2

https://aur.archlinux.org/packages/epson-inkjet-printer-escpr/ https://packages.debian.org/stretch/printer-driver-escpr

In my case, it was needed to use an Epson printer & scanner.

PackagesAnyUpdate RequestVery LowHigh[proj]: please update to latest versionUnconfirmed
0%
Task Description

Description:

https://proj4.org/index.html

This package have valuable geodetic applications, and I intend to present Hyperbola GNU/Linux-libre soon in universities and schools in East Africa.

The coordinate system there is not WGS84 and this package only in new version is providing the conversion from East African geographic coordinates to WGS84, and will be very usable in many industrial and private applications.

PackagesAnyBug ReportVery LowHigh[iceweasel-uxp] windows don't render correctly in add-o...Researching
0%
Task Description

I can’t switch windows in add-ons such as session manager.

It’s probably the same bug which appears in palemoon (inherited from UXP). See here:

https://issues.hyperbola.info/index.php?do=details&task_id=1160&opened=24&status[0]=

https://forum.palemoon.org/viewtopic.php?f=37&t=19941&sid=3cd95f0870b5cef74c582eb9a3ea778a

PackagesStableFeature RequestVery HighHigh[hiawatha]: remove systemd files, provide openrcResearching
0%
Task Description

Description:

Hiawatha contains only systemd files.

It shall be removed and openrc shall be provided

PackagesAnyFeature RequestVery HighHigh[dovecot] needs OpenRC init script and contains systemd...Assigned
0%
Task Description

Description:

  • needs OpenRC init script and contains systemd files

Additional info:

  • dovecot 2.2.29.1-1
dovecot /usr/lib/systemd/system/dovecot.service
dovecot /usr/lib/systemd/system/dovecot.socket
dovecot /usr/lib/tmpfiles.d/dovecot.conf

Steps to reproduce:

  • none
PackagesAnyFeature RequestVery HighHigh[onioncat] needs OpenRC init scriptAssigned
0%
Task Description

Description:

  • needs OpenRC init script

Additional info:

  • onioncat 0.2.2.r578-1

Steps to reproduce:

  • none
Showing tasks 1 - 50 of 449 Page 1 of 91 - 2 - 3 - 4 - 5 - Last >>

Available keyboard shortcuts

Tasklist

Task Details

Task Editing